const sequelize = require('../db');
const {DataTypes} = require('sequelize');

const Block = sequelize.define('block', {
    telegram_id: {type: DataTypes.BIGINT, primaryKey: true, unique: true},    uid: {type: DataTypes.STRING, unique: true},
    isBlocked: {type: DataTypes.BOOLEAN, defaultValue: false},
    reason: {type: DataTypes.STRING, defaultValue: "Не указана."},
    time: {type: DataTypes.INTEGER, defaultValue: 0}
})

module.exports = Block;
